/* eslint-disable import/prefer-default-export */
// eslint-disable-next-line import/no-extraneous-dependencies
import { lazy } from 'react';

export function getCard(type) {
  switch (type) {
    case 'operator':
      return lazy(() => import(`../components/atoms/cards/operator-card`));
    case 'event':
      return lazy(() => import(`../components/atoms/cards/event-card`));
    default:
      return lazy(() => import(`../components/atoms/cards/default-card`));
  }
}
